# mongoc_client_encryption_add_key_alt_name()

## Synopsis

    bool
    mongoc_client_encryption_add_key_alt_name (
       mongoc_client_encryption_t *client_encryption,
       const bson_value_t *keyid,
       const char *keyaltname,
       bson_t *key_doc,
       bson_error_t *error);

Add `keyaltname` to the set of alternate names in the key document with UUID `keyid`.

## Parameters

- `client_encryption`: A mongoc_client_encryption_t.

- `keyid`: A UUID (BSON binary subtype 0x04) key ID of the key to add the key alternate name to.

- `keyaltname`: The key alternate name to add.

- `key_doc`: Optional. An uninitialized `bson_t` set to the value of the key document before addition of the alternate name, or an empty document if the key does not exist. Must be freed by `bson_destroy()`.

- `error`: Optional. `bson_error_t`.

## Returns

Returns `true` if successful. Returns `false` and sets `error` otherwise.

See also

mongoc_client_encryption_t